
Foreman - Feature #34526

Switch Rails version to 6.1

02/28/2022 03:02 PM - Leos Stejskal

Status: Closed   

Priority: Normal   

Assignee: Leos Stejskal   

Category: Rails   

Target version: 3.4.0   

Difficulty:  Fixed in Releases: 3.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9117,

https://github.com/theforeman/foreman/p

ull/9157,

https://github.com/theforeman/foreman/p

ull/9231,

https://github.com/theforeman/foreman/p

ull/9307

  

Description

Related issues:

Related to Foreman - Tracker #28570: Rails 6.1 Tracker Closed

Related to foreman-tasks - Bug #34956: Fix breakages caused by rails 6.1 upgrade Closed

Associated revisions

Revision 8c4d848f - 03/23/2022 06:23 AM - Leos Stejskal

Fixes #34526 - rescue_from JSON params parse errors

Use rescue_from block instead of the CatchJsonParseErrors middleware

See https://github.com/rails/rails/pull/34341

Revision 1cf4147a - 05/24/2022 07:07 AM - Leos Stejskal

Fixes #34526 - Switch Rails version to 6.1

Changes overview:

- Set default Rails version to 6.1

- Required dynfow >= 1.6.5

- Cleanup deprecation warnings in config/as_deprecation_whitelist.yaml

- ActiveSupport::ParameterFilter instead of ActionDispatch::Http::ParameterFilter

- model.errors.attribute_names instead of model.errors.keys

- Fixed issue with iterating over the model.errors

- use .add for adding error messages instead of <<

- 'where.not' use NAND instead of NOR [0]

[0] https://github.com/rails/rails/pull/36029

Revision 5b2789c1 - 05/24/2022 01:34 PM - Evgeni Golov

Refs #34526 - Update Rails to 6.1.6

Revision 26417655 - 07/15/2022 08:21 AM - Ewoud Kohl van Wijngaarden

Refs #34526 - Drop Rails 6.0 support code

When Foreman switched to Rails 6.1, Rails 6.0 compatibility was dropped.

This makes it fail hard when it is attempted to be used. it also removes

a stray backslash.

Fixes: 1cf4147a06420842d3818f4edb6e22892f40a939
Fixes: f95e36928306637843fdfb39ed5ffe1d5f5af782

History

#1 - 02/28/2022 03:03 PM - Leos Stejskal

- Related to Tracker #28570: Rails 6.1 Tracker added

#2 - 02/28/2022 03:05 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9117 added

#3 - 03/21/2022 03:17 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9157 added

#4 - 03/23/2022 06:23 AM - The Foreman Bot

- Fixed in Releases 3.3.0 added

#5 - 03/23/2022 07:01 AM - Leos Stejskal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|8c4d848f94ca083e6835bb782a881d296893b082.

#6 - 05/24/2022 07:07 AM - The Foreman Bot

- Fixed in Releases 3.4.0 added

#7 - 05/24/2022 07:31 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9231 added

#8 - 05/25/2022 12:14 PM - Adam Ruzicka

- Related to Bug #34956: Fix breakages caused by rails 6.1 upgrade added

#9 - 07/14/2022 12:19 PM - Ewoud Kohl van Wijngaarden

- Target version set to 3.4.0

- Triaged changed from No to Yes

- Fixed in Releases deleted (3.3.0)

This was not included in 3.3. 596e12870ba522090f055cbde538dfaed7ef38fb should not have use Fixes but Refs.

#10 - 07/14/2022 12:39 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9307 added
